<div *ngIf="etage" class="row">
  <div class="col-lg-10 col-xl-8 offset-lg-1 offset-xl-2">
    <h1>Modifier {{ etage.nom }}</h1>
    <form [formGroup]="formulaire" (ngSubmit)="soumettre()" #form='ngForm'>
      <div class="form-floating mb-3">
        <input id="nom" type="text" class="form-control" formControlName="nom"
               placeholder="Nom"
               [class.is-invalid]="nom?.invalid && form.submitted">
        <label for="nom" class="form-label">Nom</label>
        <div class="invalid-feedback">
          <div *ngIf="nom?.errors?.['required']">
            Le nom de l'étage est requis
          </div>
        </div>
      </div>

      <button type="submit" class="btn btn-primary">Soumettre</button>
      <button type="button" class="btn btn-secondary ms-2" routerLink="/admin/etages">Annuler</button>
    </form>
  </div>
</div>
